---
import Layout from "../../layouts/Layout.astro";
import Navbar from "../../components/navigation/Navbar.astro";
import { recommendations } from "../../data/recommendations";
import MovieCard from "../../components/MovieCard.astro";

const games = recommendations.filter((record) => record.type === "game").sort((a, b) => b.playtime - a.playtime);
---

<Layout title={"Games - Jesse Vordzorgbe"}>
    <Navbar />
    <header class="mb-8 px-6 sm:pt-10">
        <div class="mb-2 flex stroke-blue-500/70 text-blue-500/70">
            <a href="/about" class="flex items-center gap-1 hover:underline">
                <span>
                    <svg class="h-5 w-5 stroke-2" viewBox="0 0 24 24" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                        <line x1="5" y1="12" x2="19" y2="12"></line>
                        <line x1="5" y1="12" x2="11" y2="18"></line>
                        <line x1="5" y1="12" x2="11" y2="6"></line>
                    </svg>
                </span>
                <span class="pb-0.5">Back</span>
            </a>
        </div>
        <h1 class="mb-3 text-3xl font-bold text-zinc-200 sm:text-4xl">Games</h1>
        <p>Some of the games I enjoyed playing the most.</p>
    </header>
    <main class="px-6">
        <ul class="grid grid-cols-1 gap-10">
            {games.map((item) => <MovieCard record={item} />)}
        </ul>
    </main>
</Layout>
